Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 270)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 272)
@@ -171,5 +171,4 @@
 IF EXIST "%obuild_dir_project%\Versions" DEL "%obuild_dir_project%\Versions"
 ECHO package osc_snovis v1r0   >> "%obuild_dir_project%\Versions"
-ECHO package snovis v1r1   >> "%obuild_dir_project%\Versions"
 ECHO package bhep v1r4p2   >> "%obuild_dir_project%\Versions"
 ECHO package snova v2r0p0   >> "%obuild_dir_project%\Versions"
@@ -288,11 +287,50 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_28
-IF NOT EXIST "%Geant4_home%\data\G4NDL"  ECHO WARNNING : Directory %Geant4_home%\data\G4NDL not found.  && GOTO end_if_release_29
-IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL"
-XCOPY /E /Q "%Geant4_home%\data\G4NDL" "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL" 1> xcopy_exe_error
+IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_29
+IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
+XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4readout.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4run.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4event.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4tracking.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4processes.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4digits_hits.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4track.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4particles.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4geometry.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4graphics_reps.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4materials.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4intercoms.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4global.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
@@ -303,11 +341,50 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_30
-IF NOT EXIST "%Geant4_home%\data\PhotonEvaporation"  ECHO WARNNING : Directory %Geant4_home%\data\PhotonEvaporation not found.  && GOTO end_if_release_31
-IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation"
-XCOPY /E /Q "%Geant4_home%\data\PhotonEvaporation" "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation" 1> xcopy_exe_error
+IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_31
+IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
+XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4readout.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4run.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4event.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4tracking.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4processes.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4digits_hits.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4track.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4particles.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4geometry.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4graphics_reps.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4materials.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4intercoms.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+XCOPY /E /Q "%Geant4_home%\lib"\libG4global.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
@@ -318,168 +395,30 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_32
-IF NOT EXIST "%Geant4_home%\data\RadioactiveDecay"  ECHO WARNNING : Directory %Geant4_home%\data\RadioactiveDecay not found.  && GOTO end_if_release_33
-IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay"
-XCOPY /E /Q "%Geant4_home%\data\RadioactiveDecay" "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_33
-:end_if_platform_32
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
-IF NOT EXIST "%Geant4_home%\data\G4EMLOW"  ECHO WARNNING : Directory %Geant4_home%\data\G4EMLOW not found.  && GOTO end_if_release_35
-IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW"
-XCOPY /E /Q "%Geant4_home%\data\G4EMLOW" "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_35
-:end_if_platform_34
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
-IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_37
-IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
-XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4readout.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4run.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4event.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4tracking.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4processes.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4digits_hits.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4track.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4particles.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4geometry.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4graphics_reps.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4materials.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4intercoms.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4global.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_37
-:end_if_platform_36
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_38
-IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_39
-IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
-XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4readout.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4run.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4event.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4tracking.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4processes.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4digits_hits.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4track.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4particles.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4geometry.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4graphics_reps.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4materials.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4intercoms.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-XCOPY /E /Q "%Geant4_home%\lib"\libG4global.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_39
-:end_if_platform_38
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
-IF NOT EXIST "%HDF5_home%\lib\libhdf5.0.0.0.dylib"  ECHO WARNNING : File %HDF5_home%\lib\libhdf5.0.0.0.dylib not found.  && GOTO end_if_release_41
+IF NOT EXIST "%HDF5_home%\lib\libhdf5.0.0.0.dylib"  ECHO WARNNING : File %HDF5_home%\lib\libhdf5.0.0.0.dylib not found.  && GOTO end_if_release_33
 IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
 COPY "%HDF5_home%\lib\libhdf5.0.0.0.dylib" "%obuild_dir_project%\lib\." 1> copy_exe_error
 @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_release_41
-:end_if_platform_40
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_42
-IF NOT EXIST "%HDF5_home%\include"  ECHO WARNNING : Directory %HDF5_home%\include not found.  && GOTO end_if_release_43
+:end_if_release_33
+:end_if_platform_32
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
+IF NOT EXIST "%HDF5_home%\include"  ECHO WARNNING : Directory %HDF5_home%\include not found.  && GOTO end_if_release_35
 IF NOT EXIST "%obuild_dir_project%\Resources\HDF5\.\include" MKDIR "%obuild_dir_project%\Resources\HDF5\.\include"
 XCOPY /E /Q "%HDF5_home%\include" "%obuild_dir_project%\Resources\HDF5\.\include" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_43
-:end_if_platform_42
+:end_if_release_35
+:end_if_platform_34
 SET obuild_platform_result=
 
@@ -492,4 +431,54 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  osc_snovis v1r0`) DO SET obuild_osc_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_osc_snovis_path  ECHO Can't find osc_snovis package.  && GOTO obuild_return
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
+IF NOT EXIST "%obuild_osc_snovis_path%\obuild\release\UNIX\setup.csh"  ECHO WARNNING : Directory %obuild_osc_snovis_path%\obuild\release\UNIX\setup.csh not found.  && GOTO end_if_release_37
+COPY "%obuild_osc_snovis_path%\obuild\release\UNIX\setup.csh" "%obuild_dir_project%\." 1> copy_exe_error
+@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_release_37
+:end_if_platform_36
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_38
+IF NOT EXIST "%obuild_osc_snovis_path%\obuild\release\UNIX\setup.sh"  ECHO WARNNING : Directory %obuild_osc_snovis_path%\obuild\release\UNIX\setup.sh not found.  && GOTO end_if_release_39
+COPY "%obuild_osc_snovis_path%\obuild\release\UNIX\setup.sh" "%obuild_dir_project%\." 1> copy_exe_error
+@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_release_39
+:end_if_platform_38
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
+IF NOT EXIST "%obuild_osc_snovis_path%\obuild\release\UNIX\install"  ECHO WARNNING : Directory %obuild_osc_snovis_path%\obuild\release\UNIX\install not found.  && GOTO end_if_release_41
+COPY "%obuild_osc_snovis_path%\obuild\release\UNIX\install" "%obuild_dir_project%\." 1> copy_exe_error
+@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_release_41
+:end_if_platform_40
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
 FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
 cd "%obuild_pwd_osc_snovis_1%"
@@ -497,10 +486,10 @@
 IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snovis_path%\scripts"  ECHO WARNNING : Directory %obuild_snovis_path%\scripts not found.  && GOTO end_if_release_44
+IF NOT EXIST "%obuild_snovis_path%\scripts"  ECHO WARNNING : Directory %obuild_snovis_path%\scripts not found.  && GOTO end_if_release_42
 IF NOT EXIST "%obuild_dir_project%\Resources\snovis\.\scripts" MKDIR "%obuild_dir_project%\Resources\snovis\.\scripts"
 XCOPY /E /Q "%obuild_snovis_path%\scripts" "%obuild_dir_project%\Resources\snovis\.\scripts" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_44
+:end_if_release_42
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -509,59 +498,70 @@
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
-IF NOT EXIST "%obuild_snovis_path%\Darwin_obuild\snovis_session.app"  ECHO WARNNING : Directory %obuild_snovis_path%\Darwin_obuild\snovis_session.app not found.  && GOTO end_if_release_46
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
+IF NOT EXIST "%obuild_snovis_path%\Darwin_obuild\snovis_session.app"  ECHO WARNNING : Directory %obuild_snovis_path%\Darwin_obuild\snovis_session.app not found.  && GOTO end_if_release_44
 IF NOT EXIST "%obuild_dir_project%\..\..\.\snovis_session.app" MKDIR "%obuild_dir_project%\..\..\.\snovis_session.app"
 XCOPY /E /Q "%obuild_snovis_path%\Darwin_obuild\snovis_session.app" "%obuild_dir_project%\..\..\.\snovis_session.app" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+:end_if_release_44
+:end_if_platform_45
+SET obuild_platform_result=
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  bhep v1r4p2`) DO SET obuild_bhep_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_bhep_path  ECHO Can't find bhep package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_bhep_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_46
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" GOTO end_if_copy_47
+  COPY "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_47
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" GOTO end_if_copy_48
+  COPY "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_48
 :end_if_release_46
-:end_if_platform_47
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\scripts"  ECHO WARNNING : Directory %obuild_snovis_path%\scripts not found.  && GOTO end_if_release_48
-IF NOT EXIST "%obuild_dir_project%\Resources\snovis\.\scripts" MKDIR "%obuild_dir_project%\Resources\snovis\.\scripts"
-XCOPY /E /Q "%obuild_snovis_path%\scripts" "%obuild_dir_project%\Resources\snovis\.\scripts" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_48
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
-IF NOT EXIST "%obuild_snovis_path%\Darwin_obuild\snovis_session.app"  ECHO WARNNING : Directory %obuild_snovis_path%\Darwin_obuild\snovis_session.app not found.  && GOTO end_if_release_50
-IF NOT EXIST "%obuild_dir_project%\..\..\.\snovis_session.app" MKDIR "%obuild_dir_project%\..\..\.\snovis_session.app"
-XCOPY /E /Q "%obuild_snovis_path%\Darwin_obuild\snovis_session.app" "%obuild_dir_project%\..\..\.\snovis_session.app" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_50
-:end_if_platform_51
-SET obuild_platform_result=
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_52
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" GOTO end_if_copy_53
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_49
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" GOTO end_if_copy_50
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_50
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" GOTO end_if_copy_51
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_51
+:end_if_release_49
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_52
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" GOTO end_if_copy_53
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_53
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" GOTO end_if_copy_54
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" GOTO end_if_copy_54
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -571,17 +571,17 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_55
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" GOTO end_if_copy_56
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_55
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" GOTO end_if_copy_56
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_56
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" GOTO end_if_copy_57
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" GOTO end_if_copy_57
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -591,17 +591,17 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  bhep v1r4p2`) DO SET obuild_bhep_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_bhep_path  ECHO Can't find bhep package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_bhep_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_58
-IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" GOTO end_if_copy_59
-  COPY "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_58
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" GOTO end_if_copy_59
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_59
-IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" GOTO end_if_copy_60
-  COPY "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" GOTO end_if_copy_60
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -617,11 +617,11 @@
 
 IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_61
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" GOTO end_if_copy_62
-  COPY "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.lib" GOTO end_if_copy_62
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_62
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" GOTO end_if_copy_63
-  COPY "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.dll" GOTO end_if_copy_63
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -631,17 +631,17 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_64
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" GOTO end_if_copy_65
-  COPY "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_64
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" GOTO end_if_copy_65
+  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_65
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" GOTO end_if_copy_66
-  COPY "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" GOTO end_if_copy_66
+  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -651,37 +651,38 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_67
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" GOTO end_if_copy_68
-  COPY "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_67
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" GOTO end_if_copy_68
+  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_68
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" GOTO end_if_copy_69
-  COPY "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" GOTO end_if_copy_69
+  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_69
 :end_if_release_67
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_70
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" GOTO end_if_copy_71
-  COPY "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_70
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" GOTO end_if_copy_71
+  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_71
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" GOTO end_if_copy_72
-  COPY "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" GOTO end_if_copy_72
+  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -691,21 +692,37 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_73
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.lib" GOTO end_if_copy_74
-  COPY "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_73
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" GOTO end_if_copy_74
+  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_74
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.dll" GOTO end_if_copy_75
-  COPY "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" GOTO end_if_copy_75
+  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_75
 :end_if_release_73
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_76
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" GOTO end_if_copy_77
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_77
+:end_if_release_76
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -716,163 +733,11 @@
 IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_76
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" GOTO end_if_copy_77
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_77
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" GOTO end_if_copy_78
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_78
-:end_if_release_76
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_79
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" GOTO end_if_copy_80
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_80
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" GOTO end_if_copy_81
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_81
-:end_if_release_79
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_82
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" GOTO end_if_copy_83
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_83
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" GOTO end_if_copy_84
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_84
-:end_if_release_82
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_85
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" GOTO end_if_copy_86
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_86
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" GOTO end_if_copy_87
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_87
-:end_if_release_85
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_88
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" GOTO end_if_copy_89
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_89
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" GOTO end_if_copy_90
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_90
-:end_if_release_88
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_91
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" GOTO end_if_copy_92
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_92
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" GOTO end_if_copy_93
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_93
-:end_if_release_91
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_94
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" GOTO end_if_copy_95
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_78
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" GOTO end_if_copy_79
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_95
-:end_if_release_94
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_96
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" GOTO end_if_copy_97
-  COPY "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_97
-:end_if_release_96
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_98
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" GOTO end_if_copy_99
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_99
-:end_if_release_98
+:end_if_copy_79
+:end_if_release_78
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
@@ -882,6 +747,5 @@
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_100
-IF EXIST "%obuild_dir_project%\Resources/Geant4/data" RMDIR /S /Q "%obuild_dir_project%\Resources/Geant4/data"
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_80
 IF EXIST "%obuild_dir_project%\Resources/Geant4" RMDIR /S /Q "%obuild_dir_project%\Resources/Geant4"
 IF EXIST "%obuild_dir_project%\Resources/CLHEP" RMDIR /S /Q "%obuild_dir_project%\Resources/CLHEP"
@@ -890,5 +754,5 @@
 IF EXIST osc_snovis_v1r0_intel_osx_gcc401.zip DEL osc_snovis_v1r0_intel_osx_gcc401.zip
 cd "%obuild_osc_snovis_path%\obuild"
-:end_if_platform_100
+:end_if_platform_80
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
@@ -898,13 +762,13 @@
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_102
-IF EXIST "%obuild_dir_project%\Resources/Geant4/data" RMDIR /S /Q "%obuild_dir_project%\Resources/Geant4/data"
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_82
 IF EXIST "%obuild_dir_project%\Resources/Geant4" RMDIR /S /Q "%obuild_dir_project%\Resources/Geant4"
 IF EXIST "%obuild_dir_project%\Resources/CLHEP" RMDIR /S /Q "%obuild_dir_project%\Resources/CLHEP"
+IF EXIST "%obuild_dir_project%\Resources/Python" RMDIR /S /Q "%obuild_dir_project%\Resources/Python"
 DEL  "%obuild_dir_project%"\libXm.so.2*
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF EXIST osc_snovis_v1r0_m32_sl3_gcc323.zip DEL osc_snovis_v1r0_m32_sl3_gcc323.zip
 cd "%obuild_osc_snovis_path%\obuild"
-:end_if_platform_102
+:end_if_platform_82
 SET obuild_platform_result=
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
